--- ../lib/io/Dns.c.orig	2004-05-24 15:57:01.000000000 +0000
+++ ../lib/io/Dns.c	2019-04-11 13:42:10.152212000 +0000
@@ -161,13 +161,13 @@ static Vector nameServers;
 				  | ((unsigned char *) p)[3]               \
 				)
 
-#define GET_NET_SHORT_ADV(v, p)	v  = (unsigned short) (*((unsigned char *) p)++ << UCHAR_BIT);   \
-				v |= (unsigned short) (*((unsigned char *) p)++)
+#define GET_NET_SHORT_ADV(v, p)	v  = (unsigned short) (*(p)++ << UCHAR_BIT);   \
+				v |= (unsigned short) (*(p)++)
 
-#define GET_NET_LONG_ADV(v, p)	v  = (unsigned long) (*((unsigned char *) p)++ << UCHAR_BIT*3); \
-				v |= (unsigned long) (*((unsigned char *) p)++ << UCHAR_BIT*2); \
-				v |= (unsigned long) (*((unsigned char *) p)++ << UCHAR_BIT);   \
-				v |= (unsigned long) (*((unsigned char *) p)++)
+#define GET_NET_LONG_ADV(v, p)	v  = (unsigned long) (*(p)++ << UCHAR_BIT*3); \
+				v |= (unsigned long) (*(p)++ << UCHAR_BIT*2); \
+				v |= (unsigned long) (*(p)++ << UCHAR_BIT);   \
+				v |= (unsigned long) (*(p)++)
 
 #define NET_SHORT_ADV(p)	(p) += 2
 
